Bug 240657

Summary: www/bareos-webui v.18.2.6 global.php has @@ macros not resolved by preprocessor
Product: Ports & Packages Reporter: dol
Component: Individual Port(s)Assignee: Jose Alonso Cardenas Marquez <acm>
Status: Closed FIXED    
Severity: Affects Many People CC: acm, vermaden
Priority: --- Keywords: needs-qa
Version: LatestFlags: koobs: maintainer-feedback? (acm)
Hardware: Any   
OS: Any   

Description dol 2019-09-18 06:19:57 UTC
I see blank browser screen after installation bareos-webgui 18.2.6 (nginx+php-fpm webserver)

error in nginx log -

---
 *1 FastCGI sent in stderr: “PHP message: PHP Parse error: syntax error, unexpected ‘@’ in /usr/local/www/bareos/config/autoload/global.php on line 142” while reading response header from upstream, client: 192.168.0.181, server: bareos, request: “GET / HTTP/1.1”, upstream: “fastcgi://127.0.0.1:9000”, host: “192.168.0.59:9100”
---

When I check global.php I see some raw preprocessor macros

---

$directors_ini = "@WEBUICONFDIR@/directors.ini";
$configuration_ini = "@WEBUICONFDIR@/configuration.ini";
...
$arr[key($directors)]['port'] = @dirport@;

---
Comment 1 vermaden 2019-09-18 16:04:47 UTC
One of the possible workarounds in this comment:

https://vermaden.wordpress.com/2018/05/01/bareos-backup-server-on-freebsd/#comment-15759
Comment 2 commit-hook freebsd_committer 2019-12-29 20:47:10 UTC
A commit references this bug:

Author: acm
Date: Sun Dec 29 20:46:24 UTC 2019
New revision: 521427
URL: https://svnweb.freebsd.org/changeset/ports/521427

Log:
  - Update to 18.2.7
  - Replace some macro by default values [1]

  PR:		240657
  Reported by:	dol_  at _ngcom.ru [1]

Changes:
  head/www/bareos-webui/Makefile
  head/www/bareos-webui/distinfo
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2019-12-29 20:47:53 UTC
- It was committed on latest version of bareos-webui. Tahnks!